Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba
Class JdbcActionBuilder

    java.lang.Object
      org.apache.cayenne.dba.JdbcActionBuilder

All Implemented Interfaces:
  SQLActionVisitor

Direct Known Subclasses:
  SQLServerActionBuilder

    public class JdbcActionBuilder

extends Object
implements SQLActionVisitor

A factory of default SQLActions. Adapters usually subclass JdbcActionBuilder to provide custom actions for various query types.

Since:
  1.2
Author:
  Andrus Adamchik

Field Summary
`protected JdbcAdapter` | `adapter`
`protected EntityResolver` | `entityResolver`

Constructor Summary
`JdbcActionBuilder(DbAdapter adapter, EntityResolver resolver)` Deprecated. since 3.0 use "JdbcActionBuilder(JdbcAdapter,EntityResolver)" constructor instead.
`JdbcActionBuilder(JdbcAdapter adapter, EntityResolver resolver)`

Method Summary
`SQLAction` | `batchAction(BatchQuery query)` Creates an action to execute a batch update query.
`SQLAction` | `ejbqlAction(EJBQLQuery query)` Creates an action to execute EJBQL query.
`DbAdapter` | `getAdapter()` Returns DbAdapter used associated with this action builder.
`EntityResolver` | `getEntityResolver()` Returns EntityResolver that can be used to gain access to the mapping objects.
`SQLAction` | `objectSelectAction(SelectQuery query)` Creates an action to execute a SelectQuery.
`SQLAction` | `procedureAction(ProcedureQuery query)` Creates an action to execute a ProcedureQuery.
`SQLAction` | `sqlAction(SQLTemplate query)` Creates an action to execute a SQLTemplate.
`SQLAction` | `updateAction(Query query)` Deprecated. since 3.0 as the corresponding `UpdateQuery` and `DeleteQuery` queries are deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adapter

    protected JdbcAdapter adapter

### entityResolver

    protected EntityResolver entityResolver

Constructor Detail

### JdbcActionBuilder

    public JdbcActionBuilder(DbAdapter adapter,
                             EntityResolver resolver)

  Deprecated. since 3.0 use "JdbcActionBuilder(JdbcAdapter,EntityResolver)" constructor instead.

### JdbcActionBuilder

    public JdbcActionBuilder(JdbcAdapter adapter,
                             EntityResolver resolver)

Method Detail

### batchAction

    public SQLAction batchAction(BatchQuery query)

  Description copied from interface: `SQLActionVisitor`
  Creates an action to execute a batch update query.

  Specified by:
    `batchAction` in interface `SQLActionVisitor`

### procedureAction

    public SQLAction procedureAction(ProcedureQuery query)

  Description copied from interface: `SQLActionVisitor`
  Creates an action to execute a ProcedureQuery.

  Specified by:
    `procedureAction` in interface `SQLActionVisitor`

### objectSelectAction

    public SQLAction objectSelectAction(SelectQuery query)

  Description copied from interface: `SQLActionVisitor`
  Creates an action to execute a SelectQuery.

  Specified by:
    `objectSelectAction` in interface `SQLActionVisitor`

### sqlAction

    public SQLAction sqlAction(SQLTemplate query)

  Description copied from interface: `SQLActionVisitor`
  Creates an action to execute a SQLTemplate.

  Specified by:
    `sqlAction` in interface `SQLActionVisitor`

### updateAction

    public SQLAction updateAction(Query query)

  Deprecated. since 3.0 as the corresponding `UpdateQuery` and `DeleteQuery` queries are deprecated.

  Description copied from interface: `SQLActionVisitor`
  Creates an action to execute a generic update query.

  Specified by:
    `updateAction` in interface `SQLActionVisitor`

### ejbqlAction

    public SQLAction ejbqlAction(EJBQLQuery query)

  Description copied from interface: `SQLActionVisitor`
  Creates an action to execute EJBQL query.

  Specified by:
    `ejbqlAction` in interface `SQLActionVisitor`
  Since:
    3.0

### getAdapter

    public DbAdapter getAdapter()

  Returns DbAdapter used associated with this action builder.

### getEntityResolver

    public EntityResolver getEntityResolver()

  Returns EntityResolver that can be used to gain access to the mapping objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.